<?php
/**
*
* @author Dugi (Dukagjin Surdulli) dugagjin.s@gmail.com
* @package Advanced Rules Page
* @version $Id$
* @copyright (c) 2012 Dugi ( http://imgit.org )
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
* @ Translation Spanish: ThE KuKa - http://www.phpbb-es.com
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
	'ACP_RULES_MOD'				=> 'Advanced Rules Page',
	'ACP_RULES'					=> 'Normas del foro',
	'ACP_CAT_RULES'				=> 'Normas',
	'ACP_CAT_CATS'				=> 'Categorías',
	'ACP_PARENT_RULES'			=> 'Normas',
	'ACP_CREATE_RULE'			=> 'Crear norma',
	'ACP_CREATE_CAT'			=> 'Crear categoría',
	'ACP_CAT_EDIT'				=> 'Editar categoría',
	'ACP_RULE_EDIT'				=> 'Editar norma',
	'RULES_ADMIN'				=> 'Administración de normas',
	'RULES_ADMIN_EXPLAIN'		=> 'Desde aquí usted puede ajustar sus Normas del foro. Para crear un conjunto de reglas comprensibles, crear categorías, y luego crear las reglas correspondientes en su interior. Puede limitar las categorías a grupos. Para ello, basta con elegir los grupos deseados al crear o actualizar una categoría.',
	'RULES_MANAGE'				=> 'Gestionar normas',
	'RULE_MANAGE'				=> 'Gestionar norma',
	'CAT_MANAGE'				=> 'Gestionar categoría',
	'RULE'						=> 'Norma',
	'CAT'						=> 'Categoría',
	'CREATE_RULE'				=> 'Crear norma',
	'CREATE_CAT'				=> 'Crear categoría',
	'RULE_NAME'					=> 'Nombre de la norma',
	'CAT_NAME'					=> 'Nombre de la categoría',
	'RULE_DESCRIPTION'			=> 'Descripción',
	'RULE_DESCRIPTION_EXPLAIN' 	=> 'Cualquier código HTML introducido aquí se mostrará como es.',
	'MANAGE_RULE_EXPLAIN'		=> 'Usando el siguiente formulario, usted puede actualizar una norma o categoría existente que se mostrará a los usuarios.',
	'CREATE_RULE_EXPLAIN'		=> 'Usando el siguiente formulario, usted puede crear una nueva norma o categoría que se mostrará a los usuarios.',
	'RULE_PARENT'				=> 'Categoría superior',
	'RULE_ENABLE'				=> 'Activar norma',
	'RULE_DISABLE'				=> 'Desactivar norma',
	'CAT_ENABLE'				=> 'Activar categoría',
	'CAT_DISABLE'				=> 'Desactivar categoría',
	'RULE_ENABLE_EXPLAIN'		=> 'Cambiar esta opción en <em>No</em> para ocultar esta norma o categoría del público.',
	'RULES_ENABLE'				=> 'Activar Normas del foro',
	'RULES_ENABLE_EXPLAIN'		=> 'Activar o desactivar las Normas del foro. Si está desactivado, los usuarios recibirán un mensaje diciendo que la página se está actualizando.',
	'RULES_PAGE_MANAGE'			=> 'Gestionar página de normas',
	'SET_GROUPS'				=> 'Aplicar a',
	'SET_GROUPS_EXPLAIN'		=> 'Seleccione los grupos que deberían ver esta categoría en la pagina de Normas. Tenga en cuenta que incluso si un usuario no está en los grupos seleccionados como su grupo por defecto (pero es parte del grupo), todavía vería esta categoría y sus normas.',
	'RULE_SETTINGS'				=> 'Ajustes de la norma',
	'CAT_SETTINGS'				=> 'Ajustes de la categoría',
	
	// Logs and messages
	'LOG_ALTERED_RULE'		=> '<strong>Norma alterada</strong><br />» %s',
	'LOG_ALTERED_CAT'		=> '<strong>Categoría de norma alterada</strong><br />» %s',
	'LOG_CAT_CREATED'		=> '<strong>Nueva categoría de norma creada</strong><br />» %s',
	'LOG_RULE_CREATED'		=> '<strong>Nueva norma creada</strong><br />» %s',
	'LOG_DELETED_RULE'		=> '<strong>Norma borrada</strong><br />» %s',
	'LOG_DELETED_CAT'		=> '<strong>Categoría de norma borrada</strong><br />» %s',
	'LOG_ENABLED_RULE'		=> '<strong>Norma activada</strong><br />» %s',
	'LOG_DISABLED_RULE'		=> '<strong>Norma desactivada</strong><br />» %s',
	'RULE_UPDATED'			=> 'Norma actualizada correctamente.',
	'CAT_UPDATED'			=> 'Categoría actualizada correctamente.',
	'RULE_DELETED'			=> 'Norma borrada correctamente.',
	'CAT_DELETED'			=> 'Categoría borrada correctamente.',
	'RULE_CREATED'			=> 'Nueva norma creada correctamente.',
	'CAT_CREATED'			=> 'Nueva categoría creada correctamente.',
	'EMPTY_FIELDS'			=> 'Dejo todos los campos en blanco.',
	'NO_RULE'				=> 'No hay ninguna norma especificada.',
	'RULE_TITLE_TOO_LONG'	=> 'Nombre de la norma, o de una categoría superior al máximo permitido del tamaño de caracteres.',
	'RULE_DESC_TOO_LONG'	=> 'Descripción del campo supera el tamaño máximo permitido de caracteres.',
	'RULE_TOO_SHORT'		=> 'Nombre de la norma, o el campo de descripción no incluye al menos 3 caracteres.',
	'CAT_TITLE_TOO_SHORT'	=> 'El nombre de categoría debe ser al menos de 3 caracteres de largo.',
	'CANNOT_MOVE'			=> 'La norma no se pudo mover.',
	'CONFIRM_CAT_DELETE' 	=> 'Borrando está categoría, se borrarán todas las normas que están en el interior. ¿Continuar...?',
	'CONFIRM_RULE_DELETE' 	=> '¿Está seguro de querer borrar esta norma?',
	'RULE_ENABLED'			=> 'Norma activada correctamente.',
	'RULE_DISABLED'			=> 'Norma desactivada correctamente.',
	'RULES_PAGE_ENABLED'	=> 'Normas del foro activadas correctamente',
	'RULES_PAGE_DISABLED'	=> 'Normas del foro desactivadas correctamente',
	'DESCRIPTION_REQUIRED'	=> 'La descripción es necesaria para crear normas.',
	'TITLE_REQUIRED'		=> 'Un título es requerido para crear normas.',
	'RULES_NOT_INSTALLED'	=> 'Tiene que ejecutar el instalador para poder ver esta página.',
	'CANNOT_ENABLE'			=> 'La norma no se puede activar porque su superior está desactivada.',
	'GROUP_IDS_POPULATED'	=> 'Llenar la columna nueva de group_ids',
	'GROUP_IDS_UNPOPULATED'	=> 'Vaciar la columna de group_ids',
	'MAXIMUM_RULES'			=> 'Esta categoría alcanzó su máximo espacio permitido por las normas.',

	'acl_a_rules'	=> array('lang' => 'Puede gestionar las Normas del foro', 'cat' => 'misc'),
));
?>